Package org.gradle.api.artifacts.component

## Interface ProjectComponentSelector

- All Superinterfaces:
    `ComponentSelector`

      public interface ProjectComponentSelector
      extends ComponentSelector

  Criteria for selecting a component instance that is built as part of the current build.
  Since:
    1.10

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getBuildName()` | The name of the build to select a project from.
    `String` | `getProjectPath()` | The path of the project to select the component from.

    - ### Methods inherited from interface org.gradle.api.artifacts.component.ComponentSelector

      `getAttributes, getDisplayName, getRequestedCapabilities, matchesStrictly`

- - ### Method Detail

    - #### getBuildName

          String getBuildName()

      The name of the build to select a project from.
      Returns:
        The build name

    - #### getProjectPath

          String getProjectPath()

      The path of the project to select the component from.
      Returns:
        Project path
      Since:
        1.10